Subject: [MMUSIC] I-D Action: draft-ietf-mmusic-rfc4566bis-20.txt

From: [email-masked]
Date: Wed, 21 Jun 2017 16:39:00 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Multiparty Multimedia Session Control of the IETF.

        Title           : SDP: Session Description Protocol
        Authors         : Mark Handley
                          Van Jacobson
                          Colin Perkins
                          Ali Begen
	Filename        : draft-ietf-mmusic-rfc4566bis-20.txt
	Pages           : 61
	Date            : 2017-06-21

Abstract:
   This memo defines the Session Description Protocol (SDP).  SDP is
   intended for describing multimedia sessions for the purposes of
   session announcement, session invitation, and other forms of
   multimedia session initiation.  This document obsoletes RFC 4566.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-mmusic-rfc4566bis/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-mmusic-rfc4566bis-20
https://datatracker.ietf.org/doc/html/draft-ietf-mmusic-rfc4566bis-20

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-mmusic-rfc4566bis-20

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Gunnar Hellström <[email-masked]>
Date: Thu, 22 Jun 2017 09:53:34 +0200

Hi Ali,

A couple of observations:

Observation 1: Comments with questions in rtpmap specification.

In section 6.6 rtpmap, there is the following syntax description:

-----------------------------

          rtpmap-value = payload-type SP encoding-name
            "/" clock-rate [ "/" encoding-params ]
          payload-type = zero-based-integer
          encoding-name = token
          clock-rate = integer
            ; do we want to define a limited range for this?
          encoding-params = channels
            ; 4566 is vague about what this can be. RFC4855 seems to be
            ; the authoritative source, and only allows the
            ; value of the media subtype "channels" parameter - the
            ; number of audio channels.
            ; Does anyone think this can be used for something else???
            ; (The implication that multiple parameters might be included
            ; seems a misdirection - additional parameters are
            ; to go into a=fmtp.)
            ; Does anyone have an example of other parameters
            ; using this field?
          channels = integer
            ; Is there any reason to make this less restrictive?
-------------------

The comments look very much as intended to be questions to be resolved before publication.
If there are no answers on the questions, you might want to settle the syntax to the current and delete the comments or change them to explanations.
Or, if you want to keep the questions until the last call, it might be good to collect them in an editors' note, so they are not forgotten.
-------------------------------------------------------------------------------------

Observation 2: Number-of-addresses in multicast addresses

In section 9, syntax description of IP4-multicast and IP6-multicast, there is an unexplained integer parameter at the end. The convention seems to be that parameters get a name indicating its use, and then on another line the parameter syntax is defined. The parameter is the number-of-addresses specified in section 5.7. Therefore I suggest to insert a name "numaddr" in place of the "integer" and explain its syntax in a separate line.

-----------current text----------------------------------
IP4-multicast =         m1 3( "." decimal-uchar )
                         "/" ttl [ "/" integer ]
                         ; IP4 multicast addresses may be in the
                         ; range 224.0.0.0 to 239.255.255.255
                         m1 = ("22" ("4"/"5"/"6"/"7"/"8"/"9")) /
                         ("23" DIGIT )

  IP6-multicast =        IP6-address [ "/" integer ]
                         ; IP6 address starting with FF
-----------proposed new text---------------------
IP4-multicast =         m1 3( "." decimal-uchar )
                         "/" ttl [ "/" numaddr ]
                         ; IP4 multicast addresses may be in the
                         ; range 224.0.0.0 to 239.255.255.255
                         m1 = ("22" ("4"/"5"/"6"/"7"/"8"/"9")) /
                         ("23" DIGIT )

  IP6-multicast =        IP6-address [ "/" numaddr ]
                         ; IP6 address starting with FF

numaddr =	integer
--------------end of change--------------------------

The draft looks good.

Regards
Gunnar
-----------------------------------------
Gunnar Hellström
Omnitor
[email-masked]

Den 2017-06-22 kl. 01:39, skrev [email-masked]:
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic

--